<?php
/*---------------------------------------------------------------*/
/*
    Titre : Récupérer le dernier ID inseré dans une table                                                              
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1114
    Date dition     : 23 Sept 2019                                                                                       
    Date mise  jour : 23 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);

    $req = "CREATE TABLE IF NOT EXISTS `exemple` (
    `id_test` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `texte` text,
    PRIMARY KEY (`id_test`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;";

    // Créer la table
    $conn->query($req);

    // Insère des datas
    $conn->query("INSERT INTO `exemple` (`id_test`, `texte`)
                  VALUES (NULL, 'hello')");

    // Récupère le dernier ID inséré dans la table
    $last_id = mysqli_insert_id($conn);
    echo "Le dernier enregistrement a l'id $last_id";

    // drop table
    $conn->query("DROP TABLE exemple");

    // Fermeture de la connexion
    mysqli_close($conn);
?>
    